import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DataService {
    private http;
    apiUrl: any;
    constructor(http: HttpClient);
    getAPIData(tkn: string, params: string[], resolve: any, reject: any, config?: any): void;
    getAPIFromNode(dataType: string, operation: string, param1: string, param2: string, api: string): Observable<any>;
    getValue(element: any, columns: any): any;
    apikey(apidata: any): void;
    apiResponse(endpoint: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataService>;
}
